Package org.apache.commons.io.output

# Class UncheckedFilterOutputStream.Builder

java.lang.Object
org.apache.commons.io.build.AbstractSupplier<T,B>
org.apache.commons.io.build.AbstractOriginSupplier<T,B>
org.apache.commons.io.build.AbstractStreamBuilder<UncheckedFilterOutputStream,UncheckedFilterOutputStream.Builder>
org.apache.commons.io.output.UncheckedFilterOutputStream.Builder

All Implemented Interfaces:
  `IOSupplier<UncheckedFilterOutputStream>`

Enclosing class:
  UncheckedFilterOutputStream

public static class UncheckedFilterOutputStream.Builder extends AbstractStreamBuilder<UncheckedFilterOutputStream,UncheckedFilterOutputStream.Builder>
Builds a new `UncheckedFilterOutputStream`.

Using File IO:

     UncheckedFilterOutputStream s = UncheckedFilterOutputStream.builder()
       .setFile(file)
       .get();

Using NIO Path:

     UncheckedFilterOutputStream s = UncheckedFilterOutputStream.builder()
       .setPath(path)
       .get();

See Also:
  - `get()`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `UncheckedFilterOutputStream`
  `get()`
  Builds a new `UncheckedFilterOutputStream`.

  ### Methods inherited from class org.apache.commons.io.build.AbstractStreamBuilder

  `getBufferSize, getBufferSizeDefault, getCharSequence, getCharset, getCharsetDefault, getInputStream, getOpenOptions, getOutputStream, getPath, getReader, getWriter, setBufferSize, setBufferSize, setBufferSizeChecker, setBufferSizeDefault, setBufferSizeMax, setCharset, setCharset, setCharsetDefault, setOpenOptions`

  ### Methods inherited from class org.apache.commons.io.build.AbstractOriginSupplier

  `checkOrigin, getOrigin, hasOrigin, newByteArrayOrigin, newCharSequenceOrigin, newFileOrigin, newFileOrigin, newInputStreamOrigin, newOutputStreamOrigin, newPathOrigin, newPathOrigin, newReaderOrigin, newURIOrigin, newWriterOrigin, setByteArray, setCharSequence, setFile, setFile, setInputStream, setOrigin, setOutputStream, setPath, setPath, setReader, setURI, setWriter`

  ### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

  `asThis`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.commons.io.function.IOSupplier

  `asSupplier`

- ## Constructor Details

  - ### Builder

    public Builder()

- ## Method Details

  - ### get

    public UncheckedFilterOutputStream get() throws IOException
    Builds a new `UncheckedFilterOutputStream`.

    You must set input that supports `AbstractStreamBuilder.getOutputStream()` on this builder, otherwise, this method throws an exception.

    This builder use the following aspects:

    - `AbstractStreamBuilder.getOutputStream()`
    Returns:
      a new instance.
    Throws:
      `IllegalStateException` - if the `origin` is `null`.
      `UnsupportedOperationException` - if the origin cannot be converted to an `OutputStream`.
      `IOException` - if an I/O error occurs.
    See Also:
      - `AbstractStreamBuilder.getOutputStream()`